-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local Scm3MsgInterface = require 'mdb.bmc.kepler.Soc.Scm3MsgInterface'

local childs = {}
local Scm3Msg = {childs = childs}

local Mdb = require 'mc.mdb'

local TScm3Msg = Mdb.register_object('/bmc/kepler/Soc/Scm3Msg',
    {{name = 'Scm3Msg', interface = Scm3MsgInterface.Scm3Msg}})
Scm3Msg.Scm3Msg = TScm3Msg

function TScm3Msg:ctor()
    self.path = '/bmc/kepler/Soc/Scm3Msg'
end

return Scm3Msg
